Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deepfs.fsml
Enum DeepNS

    java.lang.Object
      java.lang.Enum<DeepNS>
          org.deepfs.fsml.DeepNS

All Implemented Interfaces:
  Serializable, Comparable<DeepNS>

    public enum DeepNS

extends Enum<DeepNS>

All namespaces used in the DeepFile.

Enum Constant Summary
`DCTERMS` Dublin Core metadata terms namespace.
`DEEPURL` DeepFS filesystem namespace.
`FSMETA` DeepFS metadata namespace.

Method Summary
`String` | `tag(String element)` Adds the corresponding namespace prefix to the element.
`String` | `toString()`
`static DeepNS` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DeepNS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEEPURL

    public static final DeepNS DEEPURL

  DeepFS filesystem namespace.

### FSMETA

    public static final DeepNS FSMETA

  DeepFS metadata namespace.

### DCTERMS

    public static final DeepNS DCTERMS

  Dublin Core metadata terms namespace.

Method Detail

### values

    public static DeepNS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DeepNS c : DeepNS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DeepNS valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### tag

    public String tag(String element)

  Adds the corresponding namespace prefix to the element.

  Parameters:
    `element` - the xml element to add the namespace prefix to
  Returns:
    the element with namespace prefix

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<DeepNS>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD